Skip to main content
GET
[Services] Get service engagement details

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

id
string
required

Service engagement ID

organization_id
string
required

Unique identifier of the organization

Response

Service engagement details

Serializer for professional-services engagements synced from WHMCS.

id
string<uuid>
required
read-only
legacy_id
integer
required
read-only
name
string
required
read-only

Service / product name

group_name
string
required
read-only

WHMCS product group name

group_id
integer
required
read-only

WHMCS product group id (discriminator)

status
enum<string>
required
read-only
  • pending - Pending
  • active - Active
  • suspended - Suspended
  • terminated - Terminated
  • cancelled - Cancelled
  • completed - Completed
Available options:
pending,
active,
suspended,
terminated,
cancelled,
completed
billing_cycle
enum<string>
required
read-only
  • hourly - Hourly
  • monthly - Monthly
  • quarterly - Quarterly
  • semi_annually - Semi-Annually
  • annually - Annually
  • biennially - Biennially
  • triennially - Triennially
Available options:
hourly,
monthly,
quarterly,
semi_annually,
annually,
biennially,
triennially
amount
string
required
read-only
Pattern: ^-?\d{0,10}(?:\.\d{0,2})?$
currency
string
required
read-only

Custom field link (e.g. gift detail URL)

start_date
string<date-time> | null
required
read-only

Subscription / registration date

next_due_date
string<date-time> | null
required
read-only
end_date
string<date-time> | null
required
read-only
is_active
boolean
required
read-only
created
string<date-time>
required
read-only
modified
string<date-time>
required
read-only